<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Красный крест';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user)){

$action=htmlspecialchars(trim($_GET['action']));

# блоки
switch($_GET['action']){

#********************* Главный блок - Предупредим *****************#
default:

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_city.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Ты собираешься бомбануть "Красный крест" .<br/>
Внимательно подумай перед етим .<br/>
Если всё пройдет удачно и тебя не запалят охранники , ты грабанёш кучу бабосов .<br/>
Но если надзиратели засекут , тут братуха жопа . <br/>
Твой авторитет упадёт до уровня засраной параши .<br/>
Для грабежа нужно минимум <img src="../img/icon/icon_a_reputation.png" alt="*" /> 10 авторитета .<br/>
Выбор за тобой .
</div>';

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_reputation.png" alt="*" /> <a href="krest_stop.php?action=go"> Грабить</a></div>';

# конец
break;

#********************* очкует *****************#
case 'go':

# проверим ести ли авторитет
if($user['zona_avtoritet']<10){

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/description_image_sansanych.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Слышь, босяк , ты чё в рыло хочешь получить?<br/>
Для грабежа нужно минимум <img src="../img/icon/icon_a_reputation.png" alt="*" /> 10 авторитета .<br/>
Пшол вон отседава !!!
</div>';
}

# есть грабим

else{

# рандом совпадений
$rank=rand(1,5);

# рандом на суму выиграша
$baks=rand(100,400);

# совпало
if($rank ==5){

# обновим в бд
mysql_query("UPDATE `user` SET `zona_balls`=`zona_balls`+'$baks' WHERE `id`='".$user['id']."'");

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/description_image_sansanych.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Ты смотри какой ловкий вор !<br/>
За секунду прошманал !<br/>
Твоя награда <img src="../img/icon/icon_header_staff2.png" alt="*" /> '.$baks.'</div>';

}

else {

# обновим в бд авторитет
mysql_query("UPDATE `user` SET `zona_avtoritet`='0' WHERE `id`='".$user['id']."'");

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/description_image_vertuhai.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Стоять !<br/>
Держи суку !<br/>
Вас поймали и прилично пресанули .<br/>
Теперь ваш авторитет <img src="../img/icon/icon_a_reputation.png" alt="*" /> 0 . <br/>
Только гнида может грабить "Красный крест"
</div>';

}

}
# конец
break;

}

echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

}

else{

echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';

}
include_once '../../sys/inc/tfoot.php';
?>
